<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="'dialog'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a *ngFor="let link of navigationItems; let i = index" mat-list-item [routerLink]="link.path" routerLinkActive="active">{{link.label}}</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>basic-angular-skeleton</span>
      <button
        type="button"
        mat-button
        (click)="logout()"
        >
        logout
      </button>
    </mat-toolbar>
    <!-- TODO: Add Content Here -->
    <router-outlet> </router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>

